package com.miaxis.newgzpt.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.miaxis.newgzpt.domain.GzptVideoVip;
import com.miaxis.newgzpt.dto.GzptVideoVipDTO;

/**
 * <p>
 * 视频VIP表 Mapper 接口
 * </p>
 *
 * @author ${author}
 * @since 2022-01-27
 */
public interface GzptVideoVipMapper extends BaseMapper<GzptVideoVip> {

    void saveGzptVideoVip(GzptVideoVip gzptVideoVip);

    void updateGzptVideoVipByUserId(GzptVideoVip gzptVideoVip);

    GzptVideoVip getGzptVideoVipByUserId(GzptVideoVipDTO gzptVideoVipDTO);

    int removeByUserId(Long userId);

}
